Đến nội dung


Hình ảnh
* * - - - 1 Bình chọn

[Đã xong] In nhiều bản vẽ trong model mà chỉ cần 1 layout


  • Please log in to reply
112 replies to this topic

#41 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 02:17 PM

Cảm ơn bạn Doan Van Ha. Mình thích nhưng ko có thời gian. Sau này mình vẫn đam mê và đi sâu hơn nữa.

Bác thanh duan ơi!, bỏ 0x/n (n = tổng bản vẽ) thì sửa chỗ nào, để tiện cho việc sau này em chỉnh sửa ạ!
  • 0

#42 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 02:49 PM

Bác thanh duan ơi!, bỏ 0x/n (n = tổng bản vẽ) thì sửa chỗ nào, để tiện cho việc sau này em chỉnh sửa ạ!


Mình định trả lời nhưng bạn hỏi bác Doan Van Ha nên ko dám trả lời tranh.
Bạn sửa chỗ này:

(setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)) "/" (if (< n 10) (strcat "0" (rtos n 2 0)) (rtos n 2 0))))

  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#43 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 03:07 PM

Sửa cụ thể thế nào hở bác? em chưa hiểu ngôn ngữ lập trình.
Còn vấn đề này nữa, khi chèn text vào thì nó mặc định là Standard, bây h em muốn nó là font chữ đang hiện hành, ví dụ như: style name là: ".VnAvantH", font là ".VnAvantH" luôn và căn lề của text là "MC"
Và đây nữa: bác thay chỗ dòng này nhé:

(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode)
(command "undo" "end")
bằng dòng lệnh sao cho nó close lại file cad và không lưu.

Giúp em với, sắp được rồi. hihi;))
  • 0

#44 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 03:18 PM

Sửa cụ thể thế nào hở bác? em chưa hiểu ngôn ngữ lập trình.
Còn vấn đề này nữa, khi chèn text vào thì nó mặc định là Standard, bây h em muốn nó là font chữ đang hiện hành, ví dụ như: style name là: ".VnAvantH", font là ".VnAvantH" luôn và căn lề của text là "MC"
Và đây nữa: bác thay chỗ dòng này nhé:

(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode)
(command "undo" "end")
bằng dòng lệnh sao cho nó close lại file cad và không lưu.

Giúp em với, sắp được rồi. hihi;))

Mình online điện thoại bạn ạ. Chả có Cad. Hic. Nhờ bác Doan Van Ha hoặc bác Ketxu giúp dùm vậy. 2 Bác giúp bạn này 1 tay nha các bác. Hic
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#45 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 03:27 PM

ai trả lời cũng được mà, quan trọng gì đâu ạ.
Bây h em muốn thay đổi dòng: (setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve) bằng dòng lệnh "\n Chon chieu cao text:" và khi text in ra mặc định là "Middle Centre" bác chỉ luôn em, em sửa, vừa sửa vừa học luôn chắc là sửa ở dòng này: hoặc sau dòng này: (setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau))))
  • 0

#46 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 March 2012 - 03:39 PM

ai trả lời cũng được mà, quan trọng gì đâu ạ.
Bây h em muốn thay đổi dòng: (setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve) bằng dòng lệnh "\n Chon chieu cao text:" và khi text in ra mặc định là "Middle Centre" bác chỉ luôn em, em sửa, vừa sửa vừa học luôn chắc là sửa ở dòng này: hoặc sau dòng này: (setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau))))

Bạn gom hết y/c làm 1 lần luôn thể. Đừng cứ 5-10 phút sinh ra 1 y/c thì người giúp bạn rất nản chí đó.
Hãy test thử nhiều lần đi, rồi y/c lại lần chót, thật cụ thể. Bạn Thanhduan, hoặc tôi, hoặc ai đó sẽ giúp bạn nếu có thể.
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#47 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 03:59 PM

Bạn gom hết y/c làm 1 lần luôn thể. Đừng cứ 5-10 phút sinh ra 1 y/c thì người giúp bạn rất nản chí đó.
Hãy test thử nhiều lần đi, rồi y/c lại lần chót, thật cụ thể. Bạn Thanhduan, hoặc tôi, hoặc ai đó sẽ giúp bạn nếu có thể.

Yêu cầu của em thì em viết bên topic yêu cầu nhưng chưa ai trả lời, tiện thể bác thanhduan viết đây thì em xin luôn ở đây. Nhưng lisp bác thanhduan viết lại (mới post lên) thì cũng tương tự như đầu topic này, và gần đáp ứng được yêu cầu của em ở topic này:http://www.cadviet.c...l=&fromsearch=1.
Còn trong topic này thì cái lisp mới đây chỉ cần sửa thêm một chút nữa đó là:
1/ Chiều cao text có thể thay đổi (hình như ở dòng: (setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve)
2/ Text ghi ra trung với style name của style hiện hành (Như lisp trên thì nó chỉ ghi ở style standard)
3/ Text có căn lề là "MC"
4/ Sau khi hoàn thành lệnh, đóng file CAD lại và không lưu.
  • 0

#48 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 March 2012 - 04:51 PM

Yêu cầu của em thì em viết bên topic yêu cầu nhưng chưa ai trả lời, tiện thể bác thanhduan viết đây thì em xin luôn ở đây. Nhưng lisp bác thanhduan viết lại (mới post lên) thì cũng tương tự như đầu topic này, và gần đáp ứng được yêu cầu của em ở topic này:http://www.cadviet.c...l=&fromsearch=1.
Còn trong topic này thì cái lisp mới đây chỉ cần sửa thêm một chút nữa đó là:
1/ Chiều cao text có thể thay đổi (hình như ở dòng: (setq h 2) ;;;;Chieu cao chu (Ten so hieu ban ve)
2/ Text ghi ra trung với style name của style hiện hành (Như lisp trên thì nó chỉ ghi ở style standard)
3/ Text có căn lề là "MC"
4/ Sau khi hoàn thành lệnh, đóng file CAD lại và không lưu.

Tôi không có máy in, chưa test thử. Gặp sự cố thì báo lại giùm.

(defun c:ikn (/ olmode pre D1 D2 ent1 ent2 pre dau h sty lay col po d1 d2 n i dsdinh) ;;;In khung nghieng
(vl-load-com) (load "aspace") (command "undo" "be") (setq olmode (getvar "OSMODE")) (setvar "OSMODE" 1)
(setq pre (getstring T "\nNhap tien to: "))
(setq dau (getint "\nDanh so bat dau (n): "))
(setq ent1 (car (entsel "\nChon Text mau de lay Style va Justify: "))) ;De lay Style/height/layer/color
(setq h (cdr (assoc 40 (entget ent1))))
(setq sty (cdr (assoc 7 (entget ent1))))
(setq lay (cdr (assoc 8 (entget ent1))))
(setq col (cdr (assoc 62 (entget ent1))))
(command "PSPACE")
(setq po (getpoint "\nChon vi tri dat so hieu ban ve: ")
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: "))
(command "MSPACE")
(setq ent2 (entsel "\nChon pline: "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car ent2)))
(setq n (/ (length dsdinh) 2))
(if ent2
(progn
(repeat n
(alignspace (nth i dsdinh) (nth (1+ i) dsdinh) D1 D2)
(command "PSPACE")
;Chon 1 trong 2 dong duoi day. Dong khong muon dung thi them dau ; dang truoc.
(setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)) "/" (if (< n 10) (strcat "0" (rtos n 2 0)) (rtos n 2 0)))) ;VD in ra la <KC, CN KT>: 03/15
; (setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)))) ;VD in ra la <KC, CN KT>: 03
(MakeText po txt h 0 "MC" sty lay col)
(setq Elast (entlast))
(command "_plot" "" "" "" "" "" "" "")
(command "erase" Elast "")
(command "MSPACE")
(setq dau (+ dau 1))
(setq i (+ i 2)))))
(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode) (command "undo" "end") (princ))
;----- by Thaistressz. Thanks!
(defun MakeText (point string Height Ang justify Style Layer Color / Lst)
(setq Lst (list '(0 . "TEXT")
(cons 8 (if Layer Layer (getvar "Clayer")))
(cons 62 (if Color Color 256))
(cons 10 point)
(cons 40 Height)
(cons 1 string)
(if Ang (cons 50 Ang))
(cons 7 (if Style Style (getvar "Textstyle"))))
justify (strcase justify))
(cond ((= justify "C") (setq Lst (append Lst (list (cons 72 1) (cons 11 point)))))
((= justify "R") (setq Lst (append Lst (list (cons 72 2) (cons 11 point)))))
((= justify "M") (setq Lst (append Lst (list (cons 72 4) (cons 11 point)))))
((= justify "TL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 3)))))
((= justify "TC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 3)))))
((= justify "TR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 3)))))
((= justify "ML") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 2)))))
((= justify "MC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 2)))))
((= justify "MR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 2)))))
((= justify "BL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 1)))))
((= justify "BC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 1)))))
((= justify "BR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 1))))))
(entmake Lst))

  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#49 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 05:05 PM

OK, thanks bác nhé! Ngon rồi!
  • 0

#50 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 19 March 2012 - 06:48 PM

Tôi không có máy in, chưa test thử. Gặp sự cố thì báo lại giùm.


(defun c:ikn (/ olmode pre D1 D2 ent1 ent2 pre dau h sty lay col po d1 d2 n i dsdinh) ;;;In khung nghieng
(vl-load-com) (load "aspace") (command "undo" "be") (setq olmode (getvar "OSMODE")) (setvar "OSMODE" 1)
(setq pre (getstring T "\nNhap tien to: "))
(setq dau (getint "\nDanh so bat dau (n): "))
(setq ent1 (car (entsel "\nChon Text mau de lay Style va Justify: "))) ;De lay Style+Justify...
(setq h (cdr (assoc 40 (entget ent1))))
(setq sty (cdr (assoc 7 (entget ent1))))
(setq lay (cdr (assoc 8 (entget ent1))))
(setq col (cdr (assoc 62 (entget ent1))))
(command "PSPACE")
(setq po (getpoint "\nChon vi tri dat so hieu ban ve: ")
D1 (getpoint "\nChon diem thu nhat: ")
D2 (getpoint "\nChon diem thu hai: "))
(command "MSPACE")
(setq ent2 (entsel "\nChon pline: "))
(setq i 0)
(setq dsdinh (acet-geom-vertex-list (car ent2)))
(setq n (/ (length dsdinh) 2))
(if ent2
(progn
(repeat n
(alignspace (nth i dsdinh) (nth (1+ i) dsdinh) D1 D2)
(command "PSPACE")
;Chon 1 trong 2 dong duoi day. Dong khong muon dung thi them dau ; dang truoc.
(setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)) "/" (if (< n 10) (strcat "0" (rtos n 2 0)) (rtos n 2 0)))) ;VD in ra la <KC, CN KT>: 03/15
; (setq txt (strcat pre (if (< dau 10) (strcat "0" (itoa dau)) (itoa dau)))) ;VD in ra la <KC, CN KT>: 03
(MakeText po txt h 0 "MC" sty lay col)
(setq Elast (entlast))
(command "_plot" "" "" "" "" "" "" "")
(command "erase" Elast "")
(command "MSPACE")
(setq dau (+ dau 1))
(setq i (+ i 2)))))
(command "plan" "w")
(command "PSPACE")
(setvar "OSMODE" olmode) (command "undo" "end") (princ))
;-----
(defun MakeText (point string Height Ang justify Style Layer Color / Lst)
(setq Lst (list '(0 . "TEXT")
(cons 8 (if Layer Layer (getvar "Clayer")))
(cons 62 (if Color Color 256))
(cons 10 point)
(cons 40 Height)
(cons 1 string)
(if Ang (cons 50 Ang))
(cons 7 (if Style Style (getvar "Textstyle"))))
justify (strcase justify))
(cond ((= justify "C") (setq Lst (append Lst (list (cons 72 1) (cons 11 point)))))
((= justify "R") (setq Lst (append Lst (list (cons 72 2) (cons 11 point)))))
((= justify "M") (setq Lst (append Lst (list (cons 72 4) (cons 11 point)))))
((= justify "TL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 3)))))
((= justify "TC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 3)))))
((= justify "TR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 3)))))
((= justify "ML") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 2)))))
((= justify "MC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 2)))))
((= justify "MR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 2)))))
((= justify "BL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 1)))))
((= justify "BC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 1)))))
((= justify "BR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 1))))))
(entmake Lst));end

Bác Doan Van Ha nhiệt tình thật. Bạn dovananh.xd mời bia bác ấy đi. Hii
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#51 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 07:51 PM

OK! 23 zô!
  • 0

#52 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5454 Bài viết
Điểm đánh giá: 2626 (tuyệt vời)

Đã gửi 19 March 2012 - 09:19 PM

OK! 23 zô!

Trong lisp tôi có sử dụng hàm (MakeText) của tác giả Thaistressz nhưng quên ghi chú. Nếu dovananh thấy cảm khoái thì nên nhấn Like This cho tác giả giùm tôi.
Thanks!
  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#53 dovananh.xd

dovananh.xd

    biết lệnh offset

  • Members
  • PipPipPip
  • 174 Bài viết
Điểm đánh giá: 25 (tàm tạm)

Đã gửi 19 March 2012 - 09:26 PM

Em nhấn liên tục đấy thôi:D
  • 0

#54 minhngockt

minhngockt

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 19 March 2012 - 11:14 PM

Dùng lisp này mà xuất ra pdf bằng máy in pdffactory thì pro, nhưng em chọn máy in Autodesk dwf writer thì cứ in xong một bản vẽ thì nó lại bắt mình chon đường dẫn lưu bản vẽ thứ 2 rất mất thời gian, có bác nào dùng lisp trên mà in ra được luôn 1 file dwf chứa tất cả các bản vẽ không?
  • 0

#55 minhngockt

minhngockt

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 19 March 2012 - 11:37 PM

Nhờ các bác sửa lại lisp hộ em, chẳng hạn em cần trình bày 2 khung mv trên cùng 1 layout, bên model em cũng có từng đôi 1 các khung in khớp với 2 khung mv bên layout rồi, nội dung của lisp vẫn như trên nhưng lúc chọn điểm thứ nhất, thứ 2 xong sẽ có thêm chọn điểm thứ 3 thứ 4. Như vậy mỗi bản vẽ sẽ in được 2 khung mv. Em cảm ơn mọi người.
  • 0

#56 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 20 March 2012 - 12:09 AM

Mình ko cài cad nên chịu, chả làm ăn được gì (ko cài dc cad trên dth) heee. Bác Hà bác ấy giỏi lắm. Nhờ bác ấy chỉnh sửa thui. Các bạn thấy cách in này hay thì like nha. Hiiii. Dù gì cũng có nhiều cái mọi người cần dùng.
  • 1



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#57 minhngockt

minhngockt

    biết vẽ pline

  • Members
  • PipPip
  • 68 Bài viết
Điểm đánh giá: 5 (bình thường)

Đã gửi 20 March 2012 - 10:50 AM

Phiền bác Hà sửa lisp giống nội dung em đã nói được không a. Em cảm ơn bác
  • 0

#58 Truong_AAn

Truong_AAn

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 314 Bài viết
Điểm đánh giá: 68 (tàm tạm)

Đã gửi 21 March 2012 - 03:29 PM

Hình đã gửi
Ko biết tại sao mình làm đúng theo hướng dẫn từng bước nhưng nó cứ ra thế này. Thanhduan giúp mình với
  • 0
Hình đã gửi
----------------------------------------------------------------------------------//-------------------------------------------------------------------------------------

#59 thanhduan2407

thanhduan2407

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 995 Bài viết
Điểm đánh giá: 223 (khá)

Đã gửi 21 March 2012 - 04:50 PM

Bạn hỏi bạn daovananh.xd đó. Bạn ấy sử dụng thành công rồi. Mình chắc chỉ gợi ý thôi. (ngứa nghề) nhưng ko có đồ nghề. Hic. Các bác giúp bạn ấy dùm nha.
  • 0



Tôi là con kiến bò trên sa mạc kiến thức bao la. Biển học thật rộng lớn







#60 Truong_AAn

Truong_AAn

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 314 Bài viết
Điểm đánh giá: 68 (tàm tạm)

Đã gửi 22 March 2012 - 12:02 PM

dovananhxd cứu tui đi. Làm hoài ko được :blush:
  • 0
Hình đã gửi
----------------------------------------------------------------------------------//-------------------------------------------------------------------------------------